complexType "SettlementInstruction"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 7 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementMethod?, correspondentInformation?, intermediaryInformation*, beneficiaryBank?, beneficiary?, depositoryPartyReference?, splitSettlement*
</...>

Content Model Elements (7):

  beneficiary (in settlementInstruction), beneficiaryBank (in settlementInstruction), correspondentInformation, depositoryPartyReference, | intermediaryInformation, settlementMethod, splitSettlement

All Direct / Indirect Based Elements (1):

  settlementInstruction

Known Usage Locations

- As direct type of elements (1):
  settlementInstruction

Annotation
A type that models a complete instruction for settling a currency payment, including the settlement method to be used, the correspondent bank, any intermediary banks and the ultimate beneficary.
XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="SettlementInstruction"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementMethod" type="SettlementMethod"/> <xsd:element minOccurs="0" name="correspondentInformation" type="CorrespondentInformation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="intermediaryInformation" type="IntermediaryInformation"/> <xsd:element minOccurs="0" name="beneficiaryBank" type="Beneficiary"/> <xsd:element minOccurs="0" name="beneficiary" type="Beneficiary"/> <xsd:element minOccurs="0" name="depositoryPartyReference" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="splitSettlement" type="SplitSettlement"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
beneficiary

  Type: | Beneficiary, complex content

  The ultimate beneficiary of the funds. The beneficiary can be identified either by an account at the beneficiaryBank (qv) or by explicit routingInformation. This element provides for the latter.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="beneficiary" type="Beneficiary"/>

beneficiaryBank

  Type: | Beneficiary, complex content

  The bank that acts for the ultimate beneficiary of the funds in receiving payments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="beneficiaryBank" type="Beneficiary"/>

correspondentInformation

  Type: | CorrespondentInformation, complex content

  The information required to identify the correspondent bank that will make delivery of the funds on the paying bank's behalf in the country where the payment is to be made
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="correspondentInformation" type="CorrespondentInformation"/>

depositoryPartyReference

  Type: | PartyReference, empty content

  Reference to the depository of the settlement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="depositoryPartyReference" type="PartyReference"/>

intermediaryInformation

  Type: | IntermediaryInformation, complex content

  Information to identify an intermediary through which payment will be made by the correspondent bank to the ultimate beneficiary of the funds.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="intermediaryInformation" type="IntermediaryInformation"/>

settlementMethod

  Type: | SettlementMethod, simple content

  The mechanism by which settlement is to be made. The scheme of domain values will include standard mechanisms such as CLS, Fedwire, Chips ABA, Chips UID, SWIFT, CHAPS and DDA.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementMethod" type="SettlementMethod"/>

splitSettlement

  Type: | SplitSettlement, complex content

  The set of individual payments that are to be made when a currency payment settling a trade needs to be split between a number of ultimate beneficiaries. Each split payment may need to have its own routing information.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="splitSettlement" type="SplitSettlement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.